<div class="row">
    <div id="left-sidebar" class="col-2 left-sidebar">
        <!--
        <ul>
            <div><a id="nav-link-search-user" class="nav-link" href="#">Search User</a></div>
            <div><a id="nav-link-create-user" class="nav-link" href="#">Create User</a></div>
            <div><a id="nav-link-view-users" class="nav-link" href="#">View All</a></div>
        </ul>
        <a class="nav-link active" href="#">Search User</a>
    -->
            <nav class="nav flex-column border">
                <a class="nav-link text-secondary" routerLink="new">Create User</a>
                <a class="nav-link text-secondary" href="#">View All</a>
            </nav>
    </div>

    <div class="col main-component">
        <h4 class="display-5">Search User</h4>
        <br>
        <div class="input-group">
            <input #search id="search-user" type="text" class="form-control" placeholder="Firstname or Lastname or ID"
                aria-label="username with two button addons" aria-describedby="button-addon4" />
            <div class="input-group-append" id="button-addon4">
                <button class="btn btn-outline-primary" (click)="searchUser(search.value)" type="button">
                    Search
                </button>
                <!-- <button class="btn btn-outline-info" type="button">
                    Edit User
                </button> -->
            </div>
        </div>
        <div id="search-user-id" hidden></div>

        <div class="ui-widget" style="margin-top:2em; font-family:Arial">
            <!-- <a href="#" class="list-group-item list-group-item-action">
                <div class="d-flex w-100 justify-content-between">
                    <h5 class="mb-1">List group item heading</h5>
                    <small class="text-muted">3 days ago</small>
                </div>
                <p class="mb-1">This is a test text</p>
                <small class="text-muted">Donec id elit non mi porta.</small>
            </a> -->
            <app-user-list [userList]="userList"></app-user-list>
        </div>

    </div>
</div>